Imagick::getImageChannelDistortion
Imagick::getImageChannelExtrema
The Imagick class
PHP Manual

# Imagick::getImageChannelDistortions

(No version information available, might only be in SVN)

Imagick::getImageChannelDistortions — Gets channel distortions

### Description

double Imagick::getImageChannelDistortions ( Imagick `$reference` , int `$metric` , int `$channel` )

Compares one or more image channels of an image to a reconstructed image and returns the specified distortion metrics This method is available if Imagick has been compiled against ImageMagick version 6.4.4 or newer.

### Parameters

`reference`

  Imagick object containing the reference image

`metric`

  Refer to this list of metric type constants.

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channel constants using bitwise operators. Defaults to `Imagick::CHANNEL_DEFAULT`. Refer to this list of channel constants

### Return Values

Returns a double describing the channel distortion.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::getImageChannelDistortion
Imagick::getImageChannelExtrema
The Imagick class
PHP Manual